error_condition

Describes an endpoint error state. More...

`#include <error_condition.hpp>`

## Public Member Functions

| error_condition ()
| Create an empty error condition.
| error_condition (std::string description)
| Create an error condition with only a description. More...
| error_condition (std::string name, std::string description)
| Create an error condition with a name and description.
| error_condition (std::string name, std::string description, proton::value properties)
| Experimental - Create an error condition with name, description, and informational properties. More...
bool | operator! () const
| If you are using a C++11 compiler, you may use an error_condition in boolean contexts. More...
bool | empty () const
| No condition has been set.
std::string | name () const
| Condition name.
std::string | description () const
| Descriptive string for condition.
value | properties () const
| Extra information for condition.
std::string | what () const
| Simple printable string for condition.

## Detailed Description

Describes an endpoint error state.

Examples:
  broker.cpp, broker.hpp, mt/broker.cpp, and mt/epoll_container.cpp.

## Constructor & Destructor Documentation

## error_condition() [1/2]

error_condition | ( | std::string | description | ) |

Create an error condition with only a description.

A default name will be used ("proton:io:error").

## error_condition() [2/2]

error_condition | ( | std::string | name,
|  | std::string | description,
|  | proton::value | properties
| ) |  |

Experimental - Create an error condition with name, description, and informational properties.

## Member Function Documentation

## operator!()

bool operator! | ( |  | ) | const

If you are using a C++11 compiler, you may use an error_condition in boolean contexts.

The expression will be true if the error_condition is set. No condition set.

The documentation for this class was generated from the following file:

- proton/error_condition.hpp